Package org.silverpeas.bridge

## Class MobilFilter

- java.lang.Object
- - org.silverpeas.bridge.MobilFilter

- All Implemented Interfaces:
    `javax.servlet.Filter`

      public class MobilFilter
      extends Object
      implements javax.servlet.Filter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SESSION_PARAMS_KEY` |
    `static String` | `SESSION_TOKEN_KEY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MobilFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` |
    `void` | `doFilter​(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)` |
    `void` | `init​(javax.servlet.FilterConfig arg0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SESSION_TOKEN_KEY

          public static final String SESSION_TOKEN_KEY

      See Also:
        Constant Field Values

    - #### SESSION_PARAMS_KEY

          public static final String SESSION_PARAMS_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MobilFilter

          public MobilFilter()

  - ### Method Detail

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

    - #### doFilter

          public void doFilter​(javax.servlet.ServletRequest req,
                               javax.servlet.ServletResponse res,
                               javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### init

          public void init​(javax.servlet.FilterConfig arg0)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`